commit 6b14100b9504800768da726dcb81f1857db3b493
Author: Francois-Xavier Coudert <fxcoudert@gmail.com>
Date:   2022-01-12 11:19:37 +0100

    Fortran: fix testcase compiler flags
    
    -fsignaling-nans is already passed by ieee.exp, so it's not needed.
    We must use dg-additional-options instead of dg-options, otherwise we
    override flags passed from ieee.exp. And we need to use -w because
    some options only make sense for the Fortran source.
    
    gcc/testsuite/ChangeLog:
    
            * gfortran.dg/ieee/signaling_1.f90: Adjust flags.

diff --git a/gcc/testsuite/gfortran.dg/ieee/signaling_1.f90 b/gcc/testsuite/gfortran.dg/ieee/signaling_1.f90
index a1403e6ce16..3d846fc1038 100644
--- a/gcc/testsuite/gfortran.dg/ieee/signaling_1.f90
+++ b/gcc/testsuite/gfortran.dg/ieee/signaling_1.f90
@@ -1,7 +1,9 @@
 ! { dg-do run }
 ! { dg-require-effective-target issignaling } */
 ! { dg-additional-sources signaling_1_c.c }
-! { dg-options "-fsignaling-nans" }
+! { dg-additional-options "-w" }
+! the -w option is needed to make f951 not report a warning for 
+! the -fintrinsic-modules-path option passed by ieee.exp
 !
 program test
   use, intrinsic :: iso_c_binding
